[Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu - Форум администраторов игровых серверов
Форум администраторов игровых серверов StormWall - Защита от DDos атак
Регистрация Мнения Справка Пользователи Календарь Все разделы прочитаны
Вернуться   Форум администраторов игровых серверов > MMO > Lineage II > Тех-документация

Тех-документация Статьи по редактированию, компиляции и настройки ява серверов Lineage 2

Ответ
Опции темы
Непрочитано 22.11.2008, 14:03   #1
Аватар для DarkLoki
Пользователь

Автор темы (Топик Стартер) [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Гайд по работе с Eclipse:
Что понадобится:
- Java jdk 1.6 или более новая (http://www.sun.com)
- Eclipse Classic 3.1 или более новый (http://www.eclipse.org) или же если у вас стоит 64 битная ява, то Eclipse 3.4M6a или выше
- maven 2.0.6 или выше (http://www.apache.org)

Пункт 1:

1) Инсталлим Java
2) Извлекаем Eclipse
2.1) Скачиваем и извлекаем Maven.


3)- Запустите Eclipse и укажите путь, где будут храниться ваши сборки (например: C:\Workspace) и ставим галочку чтоб сделать ее по умолчанию

4)- Идем Help----> Software updates---> Search new features to install, жмем на New Remote Site и вводим:

Name: subeclipse
URL: http://subclipse.tigris.org/update

- И еще разок New Remote Site и вводим:

Name: Mylyn
URL:
http://download.eclipse.org/tools/mylyn/update/e3.3 - (для Eclipse 3.3)
http://download.eclipse.org/tools/mylyn/update/e3.4 - (для Eclipse 3.4M)

6)- Жмем ok и finish, выбираем subeclipse и mylyn для инсталляции и жмем next, принимаем условия, next и finish.

7)- Ждем пока Eclipse скачает дополнение и соглашаемся на перезагрузку программы.

8)- Идем в Window - Preferences - Java - Installed JREs - Search - идем в папку с Java и выбираем папочку jdk... и жмем Ок, далее ставим галочку напротив jdk... и жмем Ок


Пункт 2:

Переходим к настройке Java

Пуск.....> Панель управления.....> Система........> Дополнительно.........> Переменные среды....> создаем новый параметр

Имя: JAVA_HOME
Значение: путь к Java JDK (без папки bin)
например: C:\Program Files\Java\jdk1.6.0\

Жмем Ок и закрываем окно.

Пуск........... Выполнить............ cmd

Переходим в папку с Maven'ом (в командной строке)

например: cd c:/maven2/bin

Далее прописаваем "mvn" (без ковычек) и вы увидите сообщение "build failure" (перед этим можете вместо "mvn" прописать "mvn install" - в данном случае в будущем не придется ждать пока скачаются основные компоненты мавена) - это нормально, закрываем командную строку


Пункт 3:

1) Открываем Eclipse - Press on help----> software updates---> Search new features to install, жмем на New Remote Site и вводим:

Name: m2plugin
URL: http://m2eclipse.sonatype.org/update/

Принимаем все соглашения и условия, соглашаемся на перезагрузку программы.

После жмем Window--- show view--- other----- svn repository (можно в верхнем окошке ввести svn и он высветит svn repository, чтобы не искать самим)

Правой кнопкой мышы на окошке Svn Repository:

New ---> repository location:

URL: ссылки брать тут

2)- заходим в Trunk, правой кнопкой по папке (геймсервер, потом логин и потом датапак (порядок любой) Check out As Project и скачиваем исходники

3)- после чего тыкаем правой кнопкой мыши по скаченной папке с геймсервером (в Eclipse) -> Maven -> Enable что-то-там и дожидаемся скачки исходников, требуемых для гейма, затем проделываем тоже самое с логином.


Пункт 4 (финальный):

После того как скачали все что нужно делаем следующее:
* Правой кнопкой по папке с Login Server -> Run as... -> Maven build...
* goals: clean assembly:assembly
* Click Add -> name: maven.test.skip, value: true -> ok -> apply -> run

Для копиляции геймсервера проделываем все тоже самое, но выбираем Game Server.


*Для компиляции датапака жмем на стрелочку перед датапаком в окне Package Exp...правой кнопкой по файлу build.xml -> Run as -> Ant build

Собранные части сервера будут расположены здесь: (путь к папке со сборками (который указали при первом запуске программы)\(папка соответствующая логину/гейму/датапаку)\target (для датапака папка build) и тута найдете архив

P.S: чтобы обновить в эклипсе жмем правой кнопкой мыши на проекте, который хотите обновить (логин, гейм или датапак) -> Replace With -> Latest from repository и ждем пока обновятся определенные файлы

ОШИБКИ С ФАЙЛОМ POM.XML при обновлении исходников мавена или копиляции МОЖНО ИГНОРИРОВАТЬ!!!
__________________
Я не прав? Докажите это тут или тут
* Интересная тема * для новичков *

Последний раз редактировалось DarkLoki; 22.11.2008 в 18:36.
DarkLoki вне форума Ответить с цитированием
Сказали спасибо:
Непрочитано 05.12.2008, 20:50   #2
Аватар для Asd_Arm
Пользователь

Unhappy Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Цитата:
3)- после чего тыкаем правой кнопкой мыши по скаченной папке с геймсервером (в Eclipse) -> Maven -> Enable что-то-там и дожидаемся скачки исходников, требуемых для гейма, затем проделываем тоже самое с логином.


Пункт 4 (финальный):

После того как скачали все что нужно делаем следующее:
* Правой кнопкой по папке с Login Server -> Run as... -> Maven build...
что-то я не нашол упоминания Мавена в Эклипсе
Asd_Arm вне форума Ответить с цитированием
Непрочитано 05.12.2008, 21:11   #3
Аватар для PROGRAMMATOR
Администратор

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Теперь "внимательно" перечитываем пункт 2 и 3. Желательно попытаться понять что там написано.
__________________
composer require laravel/framework
yarn add vue
PROGRAMMATOR на форуме Отправить сообщение для PROGRAMMATOR с помощью ICQ Отправить сообщение для PROGRAMMATOR с помощью Skype™ Ответить с цитированием
Непрочитано 06.12.2008, 15:36   #4
Аватар для Asd_Arm
Пользователь

По умолчанию

Цитата:
Сообщение от DarkLoki Посмотреть сообщение
Пункт 3:

1) Открываем Eclipse - Press on help----> software updates---> Search new features to install, жмем на New Remote Site и вводим:

Name: m2plugin
URL: http://m2eclipse.sonatype.org/update/

Принимаем все соглашения и условия, соглашаемся на перезагрузку программы.
обновить не выходит пишет такое
Cannot complite the request.See the details

Добавлено через 13 минут
eclipse-SDK-3.4.1-win32 этот стоит у мну

прошу не игнорировать

Последний раз редактировалось DarkLoki; 09.12.2008 в 16:00.
Asd_Arm вне форума Ответить с цитированием
Непрочитано 09.12.2008, 14:42   #5
Аватар для PROGRAMMATOR
Администратор

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Цитата:
Сообщение от Asd_Arm Посмотреть сообщение
прошу не игнорировать
Да не игнорируют, просто ни у кого такой проблемы небыло. Я уже 100 раз ставил Eclipse и обновлял его плагины, все отлично. Где то Вы накосячили (например установили плагин не под вашу версию), удалите Eclipse, скачайте новый, повторите действия по мануалу.
__________________
composer require laravel/framework
yarn add vue
PROGRAMMATOR на форуме Отправить сообщение для PROGRAMMATOR с помощью ICQ Отправить сообщение для PROGRAMMATOR с помощью Skype™ Ответить с цитированием
Непрочитано 09.12.2008, 19:41   #6
Аватар для Asd_Arm
Пользователь

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Eclipse Classic 3.4.1 вот этот я скачал на сайте указанном в мануале другого нет
maven-2.0.9 так-же как и эклипс там другого нету на сайте

Добавлено через 5 минут
2) Извлекаем Eclipse
2.1) Скачиваем и извлекаем Maven.


и ещё вопрос ногами не бить если туплю просто я навичёк есть ли требование по извлечению мавена или его извлекать куда угодно можно

Последний раз редактировалось Asd_Arm; 09.12.2008 в 19:47. Причина: Добавлено сообщение
Asd_Arm вне форума Ответить с цитированием
Непрочитано 20.12.2008, 00:40   #7
Пользователь

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

4)- Идем Help----> Software updates---> Search new features to install, жмем на New Remote Site и вводим:

Такого нет Есть только Help-Software Updates... и вылазит окошко.. Жму Aviable softwar (вкладка). Далее кнопочку Add Site... и там добавляю ссылку ссылки дл обновления. После по ним правой кнопкой Install, и все устанавливалось ок.. А вот с

Цитата:
1) Открываем Eclipse - Press on help----> software updates---> Search new features to install, жмем на New Remote Site и вводим:

Name: m2plugin
URL: http://m2eclipse.sonatype.org/update/
пишет Сannot complete the request... Generating Details

Цитата:
Cannot complete the request. See the details.
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ajdt.feature.group/1.5.0
Unsatisfied dependency: [org.maven.ide.eclipse.editor.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.draw2d/[3.4.0.v20080529,3.4.0.v20080529]
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt 0.9.6.20080905-0917] requiredCapability: osgi.bundle/org.eclipse.ajdt.core/1.5.0
Unsatisfied dependency: [org.maven.ide.eclipse.editor.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.draw2d/[3.4.0.v20080529,3.4.0.v20080529]
Unsatisfied dependency: [org.maven.ide.eclipse.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.maven.ide.components.maven_model_edit/[1.0.0.20080905-0917,1.0.0.20080905-0917]
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt 0.9.6.20080905-0917] requiredCapability: osgi.bundle/org.eclipse.ajdt.core/1.5.0
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ajdt.feature.group/1.5.0
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.maven.ide.eclipse.ajdt/[0.9.6.20080905-0917,0.9.6.20080905-0917]
Unsatisfied dependency: [org.maven.ide.eclipse.ajdt.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.maven.ide.eclipse.feature.feature.group/0.0.0
Unsatisfied dependency: [org.maven.ide.eclipse.wtp.feature.feature.group 0.9.6.20080905-0917] requiredCapability: org.eclipse.equinox.p2.iu/org.maven.ide.eclipse.feature.feature.group/0.0.0
Как быть? Эклипс SDK 3.4.1 Build id: M20080911-1700

Спасибо.
Stema вне форума Ответить с цитированием
Непрочитано 30.12.2008, 12:36   #8
Аватар для SVKoT
Пользователь

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

http://m2eclipse.codehaus.org/update/ попробуй
SVKoT вне форума Ответить с цитированием
Непрочитано 30.12.2008, 21:34   #9
Пользователь

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Цитата:
Сообщение от DarkLoki Посмотреть сообщение
* goals: clean assembly:assembly
Вродебы установил всё правильно всё есть кроме этого(
AgentRus вне форума Ответить с цитированием
Непрочитано 18.01.2009, 13:04   #10
Изгнанные

По умолчанию Ответ: [Мануал] Работа с Eclipse Classic (полный гайд) и SVN на примере L2Emu

Мммм возник вопросик а как ревизию обновить то чтоб поновому исходник не перекачивать?....
Nastia вне форума Ответить с цитированием
Ответ

Метки
l2emu, svn, компиляция


Здесь присутствуют: 1 (пользователей: 0 , гостей: 1)
 
Опции темы

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход


© 2007–2020 «Форум администраторов игровых серверов»
Защита сайта от DDoS атак — StormWall
Работает на Булке неизвестной версии с переводом от zCarot
Текущее время: 20:40. Часовой пояс GMT +3.

Вверх